// 导入axios实例
import httpRequest from '@/request/index'

// 导出数据接口
export function apiGetExportMsg(url, params) {
    return httpRequest({
        url: url,
        method: 'get',
        responseType: 'blob',
        params: params
    })
}
// 导出模版接口
export function apiGetModel(url, params) {
    return httpRequest({
        url: url,
        method: 'get',
        params: params
    })
}

//----------------------------------------登录页接口------------------------------------------------

// 获取验证码
export function apiGetUserInfo() {
    return httpRequest({
        url: 'captchaImage',
        method: 'get'
    })
}
// 登录接口
export function toLoginApi(params) {
    return httpRequest({
        url: 'toLogin',
        method: 'post',
        params: params
    })
}
// 天气Api接口
export function apiGetWeather(params) {
    return httpRequest({
        url: 'predict/api/wfc/getWeatherForecastDataOne',
        method: 'get',
        params: params
    })
}

//----------------------------------------对标业务------------------------------------------------
//----------------------------------------考评业务------------------------------------------------
//----------------------------------------对标考评知识库------------------------------------------------
//----------------------------------------对标体系配置------------------------------------------------
//----考评指标管理
//----"指标-查询"
export function apiGetIndicatorList(params) {
    return httpRequest({
        url: 'indicator/list',
        method: 'get',
        params: params
    })
}
//----"指标-新增/修改"
export function apiGetIndicatorSave(params) {
    return httpRequest.post('indicator/save', params)
}
//----"指标-删除"
export function apiGetIndicatorDelete(params) {
    return httpRequest({
        url: `indicator/remove/${params}`,
        method: 'delete'
    })
}
//----"指标项-查询"
export function apiGetIndicatordictionaryList(params) {
    return httpRequest({
        url: 'indicator-dictionary/list',
        method: 'get',
        params: params
    })
}
//----------------------------------------基础信息配置------------------------------------------------